
%define msn_sover 0.1
%define beta -beta2
Name: libmsn
Version: 4.0
Release: alt0.1

Group: Development/C++
Summary: Reusable, open-source and fully documented library for MSN
Url: http://sourceforge.net/projects/libmsn
License: GPLv2+

Source: %name-%version%beta.tar.bz2
Patch1: libmsn-svn-before-beta3.patch

# Automatically added by buildreq on Mon Jan 19 2009 (-bi)
BuildRequires: cmake gcc-c++ libcom_err-devel libssl-devel

%description
Libmsn is a reusable, open-source, fully documented library for
connecting to Microsoft's MSN Messenger service.

%package -n libmsn%msn_sover
Summary: %name library
Group: System/Libraries
%description -n libmsn%msn_sover
%name library

%package test
Summary: Connection test utility
Group: Development/C++
%description test
Connection test utility.

%package devel
Summary: Devel stuff for %name
Group: Development/C++
Requires: libmsn%msn_sover = %version-%release
%description devel
Files needed to build applications based on %name.


%prep
%setup -q -n %name-%version%beta
%patch1 -p1


%build
mkdir build
pushd build
cmake ../ \
	-DCMAKE_INSTALL_PREFIX=%_prefix \
%ifarch x86_64
        -DLIB_SUFFIX=64 \
%endif		
	-DCMAKE_SKIP_RPATH=YES \
	-DCMAKE_CXX_FLAGS:STRING="%optflags" \
	-DCMAKE_BUILD_TYPE="Release" \
	-DENABLE_INOTIFY:BOOL=ON \
	-DENABLE_DBUS:BOOL=ON
popd
%make_build -C build VERBOSE=1


%install
%make -C build install DESTDIR=%buildroot


%files -n libmsn%msn_sover
%_libdir/libmsn.so.%{msn_sover}*

%files test
%_bindir/*

%files devel
%_libdir/pkgconfig/*
%_includedir/msn
%_libdir/libmsn.so

%changelog
* Mon Jan 19 2009 Sergey V Turchin <zerg at altlinux dot org> 4.0-alt0.1
- 4.0-beta2
- initial specfile
